<template>
  <div class="home">
    <logo class="logo" :showText="true" />
    <div class="buttons">
      <!--<router-link
        v-if="loggedIn"
        tag="button" class="primary"
        to="/consensos">Ver consensos</router-link>-->
      <template>
        <router-link tag="button" class="primary" to="/iniciarSesion"
          >Iniciar sesión</router-link
        >
        <router-link tag="button" to="/crearCuenta">Crear cuenta</router-link>
      </template>
    </div>
  </div>
</template>

<script>
import Logo from '@/components/Logo'

export default {
  name: 'home',
  components: { Logo },
  beforeCreate() {
    if (this.$store.state.loggedIn) {
      this.$router.replace('/barcas')
    }
  },
}
</script>

<style lang="scss" scoped>
.home {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.logo {
  padding: 10% 35%;
}

.buttons {
  display: flex;
  flex-direction: column;
  min-width: 250px;
}
</style>
